Subject: Re: bug#62952: 28.2.50; secrets.el unlocking items

From: Michael Albinus <[email-masked]>
Date: Tue, 02 May 2023 13:44:47 +0200

"Philipp Uhl" <[email-masked]> writes:

> Hi Michael,

Hi Philipp,

> thanks for your response. Here is the secrets-lock-item function:

Thanks. I'll check it next days.

>> Bonus points for respective tests
>> in secrets-tests.el.
>
> I didn't find any secrets-tests.el in the Emacs repository. Also I am
> not really familiar with writing test code in Elisp. But I did
> manually test the code and it works.

See test/lisp/net/secrets-tests.el in the git repository. Tests are
performed using ERT, see (info "(ert) Top") for the manual.

>> Well, I don't know how relevant it is to wait for the IsLocked
>> event. If you have use cases where it is needed, we shall do.
>
> I don't. For my purposes the code as shown before suffices.

Good. So we can leave it out, until somebody hollers.

>> Would you like to sign FSF copyright papers in order to contribute to
>> Emacs?
>
> Yes. Would digitally suffice? What exactly do I have to sign?

Template sent off-list.

> Cheers, Philipp

Best regards, Michael.